<?php
/**
 * Daisycon api http message
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
abstract class Daisycon_Affiliatemarketing_Model_Api_Message
{
    /**
     * Message headers
     *
     * @var array
     */
    protected $_headers = array();

    /**
     * Message body
     *
     * @var string
     */
    protected $_body;

    /**
     * Body
     *
     * @param string $body
     * @return $this
     */
    public function setBody($body)
    {
        $this->_body = $body;
        return $this;
    }

    /**
     * Get the body
     *
     * @return string
     */
    public function getBody()
    {
        return $this->_body;
    }

    /**
     * Set the headers
     *
     * @param array $headers
     * @return $this
     */
    public function setHeaders(array $headers)
    {
        $this->_headers = $headers;
        return $this;
    }

    /**
     * Get the headers
     *
     * @return array
     */
    public function getHeaders()
    {
        return $this->_headers;
    }
}
