<?php
/**
 * Daisycon checkout observer
 *
 * This observer will add the tracking pixel to the success page
 *
 * @category  Daisycon
 * @package   Daisycon_Affiliatemarketing
 * @copyright Copyright (c) 2018 Daisycon B.V.
 * @author    Daisycon B.V. <support@daisycon.com>
 */
class Daisycon_Affiliatemarketing_Model_Observer_Checkout extends Varien_Event_Observer
{
    /**
     * Add the tracking pixel to the checkout success page
     *
     * @param Varien_Event_Observer $observer
     * @return $this
     */
    public function setTrackingOnOrderSuccessPage(Varien_Event_Observer $observer)
    {
        $orderIds = $observer->getEvent()->getOrderIds();
        if (true === empty($orderIds) || false === is_array($orderIds)) {
            return $this;
        }

        $trackingBlock = Mage::app()->getFrontController()->getAction()->getLayout()
            ->getBlock('affiliatemarketing_tracking');
        if (false === empty($trackingBlock)) {
            $trackingBlock->setOrderIds($orderIds);
        }

        return $this;
    }

}
